## evolution 3.28.5

=== CMakeLists.txt ===
# Evolution build script

cmake_minimum_required(VERSION 3.1)
cmake_policy(VERSION 3.1)

project(evolution
	VERSION 3.28.5
	LANGUAGES C)
set(PROJECT_BUGREPORT "https://gitlab.gnome.org/GNOME/evolution/issues/")
set(PROJECT_URL "http://wiki.gnome.org/Apps/Evolution/")

# Base Version: This is for API/version tracking for things like
# D-Bus server files. This should always be the major/minor of
# the stable version or stable version to be.
set(BASE_VERSION 3.28)

# Used for pkg-config files
set(INTERFACE_VERSION 3.0)

math(EXPR _is_devel_version "${PROJECT_VERSION_MINOR}%2")
if(_is_devel_version EQUAL 1)
	math(EXPR _minor "${PROJECT_VERSION_MINOR}-1")
	if(_minor EQUAL -1)
		set(_minor 98)
		math(EXPR _major "${PROJECT_VERSION_MAJOR}-1")
	else(_minor EQUAL -1)
		set(_major ${PROJECT_VERSION_MAJOR})
	endif(_minor EQUAL -1)

	set(STABLE_VERSION "${_major}.${_minor}")
else(_is_devel_version EQUAL 1)
	unset(STABLE_VERSION)
endif(_is_devel_version EQUAL 1)

# Required for FindIntltool module
set(GETTEXT_PACKAGE ${PROJECT_NAME})
set(GETTEXT_PO_DIR ${CMAKE_SOURCE_DIR}/po)

# Required for 'disttest' and 'ditcheck' of DistTarget module
set(PROJECT_DISTCONFIGURE_PARAMS
	-DENABLE_GTK_DOC=ON
	-DENABLE_CONTACT_MAPS=ON
	-DENABLE_INSTALLED_TESTS=ON
	-DWITH_HELP=ON
	-DWITH_GLADE_CATALOG=ON
)

# Keep these two definitions in agreement.
set(glib_minimum_version 2.46)
set(glib_encoded_version GLIB_VERSION_2_46)

# Keep these two definitions in agreement.
set(gdk_minimum_version 3.22)
set(gdk_encoded_version GDK_VERSION_3_22)

# Keep these two definitions in agreement.
set(soup_minimum_version 2.42)
set(soup_encoded_version SOUP_VERSION_2_42)

# Warn about API usage that violates our minimum requirements.
add_definitions(-DGLIB_VERSION_MAX_ALLOWED=${glib_encoded_version})
add_definitions(-DGDK_VERSION_MAX_ALLOWED=${gdk_encoded_version})
add_definitions(-DSOUP_VERSION_MAX_ALLOWED=${soup_encoded_version})

# These will suppress warnings about newly-deprecated symbols. Ideally
# these settings should match our minimum requirements and we will clean
# up any new deprecation warnings after bumping our minimum requirements.
# But if the warnings get to be overwhelming, use fixed versions instead.
add_definitions(-DGLIB_VERSION_MIN_REQUIRED=${glib_encoded_version})
add_definitions(-DGDK_VERSION_MIN_REQUIRED=${gdk_encoded_version})
add_definitions(-DSOUP_VERSION_MIN_REQUIRED=${soup_encoded_version})

set(eds_minimum_version ${PROJECT_VERSION_MAJOR}.${PROJECT_VERSION_MINOR}.${PROJECT_VERSION_PATCH})
set(enchant1_minimum_version 1.6.0)
set(enchant2_minimum_version 2.2.0)
set(gcr_minimum_version 3.4)
set(gdk_pixbuf_minimum_version 2.24.0)
set(gnome_desktop_minimum_version 2.91.3)
set(gsettings_desktop_schemas_minimum_version 2.91.92)
set(libpst_minimum_version 0.6.54)
set(libxml_minimum_version 2.7.3)
set(shared_mime_info_minimum_version 0.22)
set(webkit2gtk_minimum_version 2.16.0)

# Optional Packages
set(champlain_minimum_version 0.12)
set(clutter_gtk_minimum_version 0.90)
set(geocode_glib_minimum_version 3.10)
set(gladeui_minimum_version 3.10.0)
set(gnome_autoar_minimum_version 0.1.1)
set(gweather_minimum_version 3.10)
set(libcanberra_gtk_minimum_version 0.25)
set(libnotify_minimum_version 0.7)

# Load modules from the source tree
set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules)

set(CMAKE_POSITION_INDEPENDENT_CODE ON)
# Packagers might want to need different settings for the RPATH related things
# From experience, especially CMAKE_BUILD_WITH_INSTALL_RPATH might need to be
# switched to ON, if CMake fails to set the right values during make install
set(CMAKE_SKIP_RPATH OFF CACHE BOOL INTERNAL)
set(CMAKE_SKIP_BUILD_RPATH OFF CACHE BOOL INTERNAL)
set(CMAKE_BUILD_WITH_INSTALL_RPATH OFF CACHE BOOL INTERNAL)
set(CMAKE_INSTALL_RPATH_USE_LINK_PATH ON CACHE BOOL INTERNAL)
# CMAKE_INSTALL_RPATH is set below

# CMake modules
include(CheckCCompilerFlag)
include(CheckCSourceCompiles)
include(CheckCSourceRuns)
include(CheckFunctionExists)
include(CheckIncludeFile)
include(CheckLibraryExists)

# Project custom modules
include(PrintableOptions)

add_printable_variable(LIB_SUFFIX "Library directory suffix, usually defined to '64' for x86_64 systems" "")
add_printable_variable_bare(CMAKE_INSTALL_PREFIX)
add_printable_variable_path(BIN_INSTALL_DIR "Install directory for binary files, defaults to CMAKE_INSTALL_PREFIX/bin" "")
add_printable_variable_path(INCLUDE_INSTALL_DIR "Install directory for header files, defaults to CMAKE_INSTALL_PREFIX/include" "")
add_printable_variable_path(LIB_INSTALL_DIR "Install directory for library files, defaults to CMAKE_INSTALL_PREFIX/lib{LIB_SUFFIX}" "")
add_printable_variable_path(LIBEXEC_INSTALL_DIR "Install directory for library executable files, defaults to CMAKE_INSTALL_PREFIX/libexec" "")
add_printable_variable_path(SHARE_INSTALL_PREFIX "Install directory for shared files, defaults to CMAKE_INSTALL_PREFIX/share" "")
add_printable_variable_path(LOCALE_INSTALL_DIR "Install directory for locale files, defaults to SHARE_INSTALL_PREFIX/locale" "")
add_printable_variable_path(SYSCONF_INSTALL_DIR "Install directory for system configuration files, defaults to CMAKE_INSTALL_PREFIX/etc" "")

macro(ensure_default_value _var _defvalue)
	if(${_var} STREQUAL "")
		set(${_var} ${_defvalue})
	endif(${_var} STREQUAL "")
endmacro(ensure_default_value)

ensure_default_value(BIN_INSTALL_DIR "${CMAKE_INSTALL_PREFIX}/bin")
ensure_default_value(INCLUDE_INSTALL_DIR "${CMAKE_INSTALL_PREFIX}/include")
ensure_default_value(LIB_INSTALL_DIR "${CMAKE_INSTALL_PREFIX}/lib${LIB_SUFFIX}")
ensure_default_value(LIBEXEC_INSTALL_DIR "${CMAKE_INSTALL_PREFIX}/libexec")
ensure_default_value(SHARE_INSTALL_PREFIX "${CMAKE_INSTALL_PREFIX}/share")
ensure_default_value(LOCALE_INSTALL_DIR "${SHARE_INSTALL_PREFIX}/locale")
ensure_default_value(SYSCONF_INSTALL_DIR "${CMAKE_INSTALL_PREFIX}/etc")

# ******************************
# Special directories
# ******************************

# If you add something here, consider whether or not you also
# need to add it to one or more .pc.in files (for Connector, etc)

set(privdatadir "${SHARE_INSTALL_PREFIX}/${PROJECT_NAME}")
set(privincludedir "${INCLUDE_INSTALL_DIR}/${PROJECT_NAME}")
set(privlibdir "${LIB_INSTALL_DIR}/${PROJECT_NAME}")
set(privlibexecdir "${LIBEXEC_INSTALL_DIR}/${PROJECT_NAME}")

SET(CMAKE_INSTALL_RPATH "${privlibdir}")

if(WIN32)
	# On Win32 there is no "rpath" mechanism. We install the private
	# shared libraries in $libdir, meaning the DLLs will actually be in
	# $bindir. This means just having $bindir in PATH will be enough.
	set(privsolibdir "${LIB_INSTALL_DIR}")
else(WIN32)
	set(privsolibdir "${privlibdir}")
endif(WIN32)

set(errordir "${privdatadir}/errors")
set(etspecdir "${privdatadir}/etspec")
set(evolutionhelpdir "${privdatadir}/help")
set(icondir "${privdatadir}/icons")
set(imagesdir "${privdatadir}/images")
set(moduledir "${privlibdir}/modules")
set(plugindir "${privlibdir}/plugins")
set(soundsdir "${privdatadir}/sounds")
set(uidir "${privdatadir}/ui")
set(viewsdir "${privdatadir}/views")
set(webextensionsdir "${privlibdir}/web-extensions")
set(webextensionswebkiteditordir "${webextensionsdir}/webkit-editor")

# ******************************
# Dependencies
# ******************************

include(CodeCoverageGCOV)
include(CheckTarget)
include(DistTargets)
include(EvolutionMacros)
include(GLibTools)
include(GtkDoc)
include(IconCache)
include(InstalledTests)
include(PkgConfigEx)
include(SetupBuildFlags)
include(UninstallTarget)

include(FindIntltool)
include(FindLDAP)
include(FindSMIME)

add_printable_option(ENABLE_MAINTAINER_MODE "Enable maintainer mode" OFF)
add_printable_variable(VERSION_SUBSTRING "Version substring, for packagers" "")
add_printable_variable(VERSION_COMMENT "Define if you want a comment appended to the version number" "")

if(ENABLE_MAINTAINER_MODE)
	set(BUILD_TESTING ON)
endif(ENABLE_MAINTAINER_MODE)

# Setup compiler/linker flags
setup_build_flags(${ENABLE_MAINTAINER_MODE})

set(MATH_LDFLAGS -lm)

CHECK_INCLUDE_FILE(sys/wait.h HAVE_SYS_WAIT_H)
CHECK_INCLUDE_FILE(X11/XF86keysym.h HAVE_XFREE)
CHECK_FUNCTION_EXISTS(mkdtemp HAVE_MKDTEMP)
CHECK_FUNCTION_EXISTS(nl_langinfo HAVE_NL_LANGINFO)

# ******************************
# executables
# ******************************

find_program(KILL_PROCESS_COMMAND killall)
if(NOT KILL_PROCESS_COMMAND)
	find_program(KILL_PROCESS_COMMAND pkill)
	set(KILL_PROCESS_COMMAND_ARGS "-f")
	set(KILL_PROCESS_COMMAND_ARG_EXACT "-x")
else(NOT KILL_PROCESS_COMMAND)
	set(KILL_PROCESS_COMMAND_ARGS "")
	set(KILL_PROCESS_COMMAND_ARG_EXACT "-e")
endif(NOT KILL_PROCESS_COMMAND)

if(NOT KILL_PROCESS_COMMAND)
	message(WARNING "Could not find a command to kill a process by name")
endif(NOT KILL_PROCESS_COMMAND)

# ******************************
# Check for nl_langinfo features
# ******************************

CHECK_C_SOURCE_COMPILES("#include <langinfo.h>
			int main(void) { char *detail = nl_langinfo (_NL_MEASUREMENT_MEASUREMENT); return 0; }" HAVE__NL_MEASUREMENT_MEASUREMENT)

# ******************************
# Dependencies
# ******************************

if(WIN32)
	set(GIO_UNIX_REQUIREMENT "gio-windows-2.0")
else(WIN32)
	set(GIO_UNIX_REQUIREMENT "gio-unix-2.0")
endif(WIN32)

add_printable_option(ENABLE_GNOME_DESKTOP "Enable GNOME desktop dependency for thumbnails" ON)

if(ENABLE_GNOME_DESKTOP)
	set(GNOME_DESKTOP_DEPENDENCY "gnome-desktop-3.0")
	set(HAVE_GNOME_DESKTOP ON)

	# It's checked for it twice, this one gives a hint to disable the dependency if not found
	pkg_check_modules_for_option(ENABLE_GNOME_DESKTOP "GNOME desktop dependency for thumbnails" GNOME_DESKTOP ${GNOME_DESKTOP_DEPENDENCY}>=${gnome_desktop_minimum_version})
else(ENABLE_GNOME_DESKTOP)
	set(GNOME_DESKTOP_DEPENDENCY "")
	set(HAVE_GNOME_DESKTOP OFF)
endif(ENABLE_GNOME_DESKTOP)

pkg_check_modules(GNOME_PLATFORM REQUIRED
	cairo-gobject
	gail-3.0>=${gdk_minimum_version}
	gcr-3>=${gcr_minimum_version}
	gdk-pixbuf-2.0>=${gdk_pixbuf_minimum_version}
	gio-2.0>=${glib_minimum_version}
	${GIO_UNIX_REQUIREMENT}
	gmodule-2.0>=${glib_minimum_version}
	${GNOME_DESKTOP_DEPENDENCY}
	gsettings-desktop-schemas>=${gsettings_desktop_schemas_minimum_version}
	gtk+-3.0>=${gdk_minimum_version}
	libxml-2.0>=${libxml_minimum_version}
	shared-mime-info>=${shared_mime_info_minimum_version}
	webkit2gtk-4.0>=${webkit2gtk_minimum_version}
)

pkg_check_modules(EVOLUTION_DATA_SERVER REQUIRED
	camel-1.2>=${eds_minimum_version}
	libebook-1.2>=${eds_minimum_version}
	libecal-1.2>=${eds_minimum_version}
	libedataserver-1.2>=${eds_minimum_version}
	libedataserverui-1.2>=${eds_minimum_version}
	libebackend-1.2>=${eds_minimum_version}
)

pkg_check_modules(A11Y REQUIRED atk)
pkg_check_modules(LIBSOUP REQUIRED libsoup-2.4>=${soup_minimum_version})
pkg_check_modules(WEB_EXTENSION REQUIRED webkit2gtk-4.0>=${webkit2gtk_minimum_version})

# ******************************
# Enchant - support both, but better to use the same as the dependencies (gtkspell3, webkitgtk+,...)
# ******************************

add_printable_option(WITH_ENCHANT_VERSION "Set Enchant version to use, values are: 'auto' (default), 1 or 2" "auto")

if(WITH_ENCHANT_VERSION STREQUAL "1")
	pkg_check_modules(ENCHANT REQUIRED enchant>=${enchant1_minimum_version})
else(WITH_ENCHANT_VERSION STREQUAL "1")
	if(WITH_ENCHANT_VERSION STREQUAL "2")
		pkg_check_modules(ENCHANT REQUIRED enchant-2>=${enchant2_minimum_version})
	else(WITH_ENCHANT_VERSION STREQUAL "2")
		pkg_check_modules(ENCHANT enchant>=${enchant1_minimum_version})
		if(ENCHANT_FOUND)
			set(WITH_ENCHANT_VERSION "auto (enchant-1)")
		else(ENCHANT_FOUND)
			unset(ENCHANT_FOUND)
			pkg_check_modules(ENCHANT enchant-2>=${enchant2_minimum_version})
			if(ENCHANT_FOUND)
				set(WITH_ENCHANT_VERSION "auto (enchant-2)")
			else(ENCHANT_FOUND)
				message(FATAL_ERROR "Cannot find enchant 1 neither enchant 2, or new-enough version. Install either of them "

=== data/CMakeLists.txt ===
set(filedeps)
set(autostartdir ${SYSCONF_INSTALL_DIR}/xdg/autostart)
set(desktopdir ${SHARE_INSTALL_PREFIX}/applications)
set(themedir ${privdatadir}/theme)

configure_file(org.gnome.Evolution.desktop.in.in
	org.gnome.Evolution.desktop.in
	@ONLY
)

intltool_merge(${CMAKE_CURRENT_BINARY_DIR}/org.gnome.Evolution.desktop.in org.gnome.Evolution.desktop --desktop-style --utf8)

list(APPEND filedeps ${CMAKE_CURRENT_BINARY_DIR}/org.gnome.Evolution.desktop)

install(FILES ${CMAKE_CURRENT_BINARY_DIR}/org.gnome.Evolution.desktop
	DESTINATION ${desktopdir}
)

add_appdata_file(org.gnome.Evolution.appdata.xml.in org.gnome.Evolution.appdata.xml)

configure_file(org.gnome.Evolution-alarm-notify.desktop.in.in
	org.gnome.Evolution-alarm-notify.desktop.in
	@ONLY
)

intltool_merge(${CMAKE_CURRENT_BINARY_DIR}/org.gnome.Evolution-alarm-notify.desktop.in org.gnome.Evolution-alarm-notify.desktop --desktop-style --utf8)

list(APPEND filedeps ${CMAKE_CURRENT_BINARY_DIR}/org.gnome.Evolution-alarm-notify.desktop)

install(FILES ${CMAKE_CURRENT_BINARY_DIR}/org.gnome.Evolution-alarm-notify.desktop
	DESTINATION ${autostartdir}
)

install(FILES webview.css
		webview-print.css
	DESTINATION ${themedir}
)

set(SCHEMAS
	org.gnome.evolution.gschema.xml
	org.gnome.evolution.addressbook.gschema.xml
	org.gnome.evolution.calendar.gschema.xml
	org.gnome.evolution.importer.gschema.xml
	org.gnome.evolution.mail.gschema.xml
	org.gnome.evolution.shell.gschema.xml
	org.gnome.evolution.bogofilter.gschema.xml
	org.gnome.evolution.spamassassin.gschema.xml
	org.gnome.evolution.text-highlight.gschema.xml
	org.gnome.evolution.plugin.attachment-reminder.gschema.xml
	org.gnome.evolution.plugin.autocontacts.gschema.xml
	org.gnome.evolution.plugin.email-custom-header.gschema.xml
	org.gnome.evolution.plugin.external-editor.gschema.xml
	org.gnome.evolution.plugin.face-picture.gschema.xml
	org.gnome.evolution.plugin.itip.gschema.xml
	org.gnome.evolution.plugin.mail-notification.gschema.xml
	org.gnome.evolution.plugin.prefer-plain.gschema.xml
	org.gnome.evolution.plugin.publish-calendar.gschema.xml
	org.gnome.evolution.plugin.templates.gschema.xml
)

set(BUILT_SCHEMAS)
foreach(_schema IN LISTS SCHEMAS)
	intltool_merge(${_schema}.in ${_schema} --no-translations --xml-style --utf8)
	list(APPEND BUILT_SCHEMAS ${CMAKE_CURRENT_BINARY_DIR}/${_schema})
endforeach(_schema)

add_custom_command(OUTPUT gschemas.compiled
	COMMAND ${GLIB_COMPILE_SCHEMAS} .
)

add_custom_target(data-files ALL
	DEPENDS gschemas.compiled
		${filedeps}
)

add_gsettings_schemas(data-files ${BUILT_SCHEMAS})

install(FILES evolution.convert
	DESTINATION ${SHARE_INSTALL_PREFIX}/GConf/gsettings
)

add_subdirectory(icons)
add_subdirectory(images)
add_subdirectory(sounds)
add_subdirectory(ui)
add_subdirectory(views)

=== data/images/CMakeLists.txt ===
set(images
	confidential-stamp.jpg
	draft-paper.png
	draft-stamp.jpg
	midnight-stars.jpg
	minus.png
	paper.png
	plus.png
	rect.png
	ribbon.jpg
	texture.png
	working.png
	world_map-960.png
)

install(FILES ${images}
	DESTINATION ${imagesdir}
)

=== src/glade/CMakeLists.txt ===
pkg_check_variable(glade_prefix gladeui-2.0 prefix)
pkg_check_variable(glade_catalogdir gladeui-2.0 catalogdir)
pkg_check_variable(glade_moduledir gladeui-2.0 moduledir)

# To honor configured prefix, but still use the right place
string(REPLACE "${glade_prefix}" "${CMAKE_INSTALL_PREFIX}" glade_catalogdir "${glade_catalogdir}")
string(REPLACE "${glade_prefix}" "${CMAKE_INSTALL_PREFIX}" glade_moduledir "${glade_moduledir}")

install(FILES evolution.xml
	DESTINATION ${glade_catalogdir}
)

set(DEPENDENCIES
	evolution-calendar
	evolution-mail
	evolution-util
)

add_library(gladeevolution MODULE
	gladeevolution.c
)

add_dependencies(gladeevolution
	${DEPENDENCIES}
)

target_compile_definitions(gladeevolution PRIVATE
	-DG_LOG_DOMAIN=\"gladeevolution\"
)

target_compile_options(gladeevolution PUBLIC
	${EVOLUTION_DATA_SERVER_CFLAGS}
	${GNOME_PLATFORM_CFLAGS}
)

target_include_directories(gladeevolution PUBLIC
	${CMAKE_BINARY_DIR}
	${CMAKE_BINARY_DIR}/src
	${CMAKE_SOURCE_DIR}/src
	${CMAKE_CURRENT_BINARY_DIR}
	${EVOLUTION_DATA_SERVER_INCLUDE_DIRS}
	${GNOME_PLATFORM_INCLUDE_DIRS}
)

target_link_libraries(gladeevolution
	${DEPENDENCIES}
	${EVOLUTION_DATA_SERVER_LDFLAGS}
	${GNOME_PLATFORM_LDFLAGS}
)

install(TARGETS gladeevolution
	DESTINATION ${glade_moduledir}
)

=== src/modules/book-config-webdav/CMakeLists.txt ===
set(extra_deps)
set(sources
	evolution-book-config-webdav.c
)
set(extra_defines)
set(extra_cflags)
set(extra_incdirs)
set(extra_ldflags)

add_evolution_module(module-book-config-webdav
	sources
	extra_deps
	extra_defines
	extra_cflags
	extra_incdirs
	extra_ldflags
)

=== src/modules/startup-wizard/CMakeLists.txt ===
set(extra_deps
	email-engine
	evolution-calendar
	evolution-mail
	evolution-shell
)
set(sources
	evolution-startup-wizard.c
	e-startup-assistant.c
	e-startup-assistant.h
	e-mail-config-import-page.c
	e-mail-config-import-page.h
	e-mail-config-import-progress-page.c
	e-mail-config-import-progress-page.h
)
set(extra_defines)
set(extra_cflags)
set(extra_incdirs)
set(extra_ldflags)

add_evolution_module(module-startup-wizard
	sources
	extra_deps
	extra_defines
	extra_cflags
	extra_incdirs
	extra_ldflags
)

=== src/modules/vcard-inline/CMakeLists.txt ===
set(extra_deps
	eabutil
	eabwidgets
	econtactprint
	evolution-mail
	evolution-mail-formatter
)
set(sources
	e-mail-formatter-vcard.c
	e-mail-formatter-vcard.h
	e-mail-parser-vcard.c
	e-mail-parser-vcard.h
	e-mail-part-vcard.c
	e-mail-part-vcard.h
	evolution-module-vcard-inline.c
)
set(extra_defines)
set(extra_cflags)
set(extra_incdirs)
set(extra_ldflags)

add_evolution_module(module-vcard-inline
	sources
	extra_deps
	extra_defines
	extra_cflags
	extra_incdirs
	extra_ldflags
)

=== src/plugins/mail-notification/CMakeLists.txt ===
add_eplug_file(mail-notification org-gnome-mail-notification.eplug)

set(DEPENDENCIES
	email-engine
	evolution-mail
	evolution-shell
	evolution-util
)

set(SOURCES
	mail-notification.c
)

add_library(org-gnome-mail-notification MODULE
	${SOURCES}
)

add_dependencies(org-gnome-mail-notification
	${DEPENDENCIES}
)

target_compile_definitions(org-gnome-mail-notification PRIVATE
	-DG_LOG_DOMAIN=\"mail-notification\"
)

target_compile_options(org-gnome-mail-notification PUBLIC
	${CANBERRA_CFLAGS}
	${EVOLUTION_DATA_SERVER_CFLAGS}
	${GNOME_PLATFORM_CFLAGS}
	${LIBNOTIFY_CFLAGS}
)

target_include_directories(org-gnome-mail-notification PUBLIC
	${CMAKE_BINARY_DIR}
	${CMAKE_BINARY_DIR}/src
	${CMAKE_SOURCE_DIR}/src
	${CMAKE_CURRENT_BINARY_DIR}
	${CANBERRA_INCLUDE_DIRS}
	${EVOLUTION_DATA_SERVER_INCLUDE_DIRS}
	${GNOME_PLATFORM_INCLUDE_DIRS}
	${LIBNOTIFY_INCLUDE_DIRS}
)

target_link_libraries(org-gnome-mail-notification
	${DEPENDENCIES}
	${CANBERRA_LDFLAGS}
	${EVOLUTION_DATA_SERVER_LDFLAGS}
	${GNOME_PLATFORM_LDFLAGS}
	${LIBNOTIFY_LDFLAGS}
)

install(TARGETS org-gnome-mail-notification
	DESTINATION ${plugindir}
)

=== src/plugins/save-calendar/CMakeLists.txt ===
add_eplug_file(save-calendar org-gnome-save-calendar.eplug)

set(DEPENDENCIES
	evolution-shell
	evolution-util
)

set(SOURCES
	save-calendar.c
	ical-format.c
	csv-format.c
	rdf-format.c
	format-handler.h
)

add_library(org-gnome-save-calendar MODULE
	${SOURCES}
)

add_dependencies(org-gnome-save-calendar
	${DEPENDENCIES}
)

target_compile_definitions(org-gnome-save-calendar PRIVATE
	-DG_LOG_DOMAIN=\"save-calendar\"
)

target_compile_options(org-gnome-save-calendar PUBLIC
	${EVOLUTION_DATA_SERVER_CFLAGS}
	${GNOME_PLATFORM_CFLAGS}
)

target_include_directories(org-gnome-save-calendar PUBLIC
	${CMAKE_BINARY_DIR}
	${CMAKE_BINARY_DIR}/src
	${CMAKE_SOURCE_DIR}/src
	${CMAKE_CURRENT_BINARY_DIR}
	${EVOLUTION_DATA_SERVER_INCLUDE_DIRS}
	${GNOME_PLATFORM_INCLUDE_DIRS}
)

target_link_libraries(org-gnome-save-calendar
	${DEPENDENCIES}
	${EVOLUTION_DATA_SERVER_LDFLAGS}
	${GNOME_PLATFORM_LDFLAGS}
)

install(TARGETS org-gnome-save-calendar
	DESTINATION ${plugindir}
)

=== src/plugins/templates/CMakeLists.txt ===
add_eplug_file(templates org-gnome-templates.eplug)

set(DEPENDENCIES
	email-engine
	evolution-mail
	evolution-mail-composer
	evolution-shell
	evolution-util
)

set(SOURCES
	templates.c
	e-templates-store.h
	e-templates-store.c
)

add_library(org-gnome-templates MODULE
	${SOURCES}
)

add_dependencies(org-gnome-templates
	${DEPENDENCIES}
)

target_compile_definitions(org-gnome-templates PRIVATE
	-DG_LOG_DOMAIN=\"templates\"
)

target_compile_options(org-gnome-templates PUBLIC
	${EVOLUTION_DATA_SERVER_CFLAGS}
	${GNOME_PLATFORM_CFLAGS}
)

target_include_directories(org-gnome-templates PUBLIC
	${CMAKE_BINARY_DIR}
	${CMAKE_BINARY_DIR}/src
	${CMAKE_SOURCE_DIR}/src
	${CMAKE_CURRENT_BINARY_DIR}
	${EVOLUTION_DATA_SERVER_INCLUDE_DIRS}
	${GNOME_PLATFORM_INCLUDE_DIRS}
)

target_link_libraries(org-gnome-templates
	${DEPENDENCIES}
	${EVOLUTION_DATA_SERVER_LDFLAGS}
	${GNOME_PLATFORM_LDFLAGS}
)

install(TARGETS org-gnome-templates
	DESTINATION ${plugindir}
)

=== src/addressbook/gui/widgets/CMakeLists.txt ===
install(FILES	addresstypes.xml
		address_formats.dat
		countrytransl.map
	DESTINATION ${privdatadir}
)

install(FILES e-addressbook-view.etspec
	DESTINATION ${etspecdir}
)

set(DEPENDENCIES
	eabutil
	econtactprint
	evolution-shell
	evolution-util
)

set(SOURCES
	eab-config.c
	eab-contact-compare.c
	eab-contact-compare.h
	eab-contact-display.c
	eab-contact-display.h
	eab-contact-formatter.c
	eab-contact-formatter.h
	eab-contact-merging.c
	eab-contact-merging.h
	eab-gui-util.c
	eab-gui-util.h
	e-contact-map.c
	e-contact-map.h
	e-contact-map-window.c
	e-contact-map-window.h
	e-minicard.c
	e-minicard.h
	e-minicard-label.c
	e-minicard-label.h
	e-minicard-view.c
	e-minicard-view.h
	e-minicard-view-widget.c
	e-minicard-view-widget.h
	e-addressbook-reflow-adapter.c
	e-addressbook-reflow-adapter.h
	e-addressbook-table-adapter.c
	e-addressbook-table-adapter.h
	e-addressbook-model.c
	e-addressbook-model.h
	e-addressbook-selector.c
	e-addressbook-selector.h
	e-addressbook-view.c
	e-addressbook-view.h
	gal-view-minicard.c
	gal-view-minicard.h
	ea-minicard.c
	ea-minicard.h
	ea-minicard-view.c
	ea-minicard-view.h
	ea-addressbook-view.c
	ea-addressbook-view.h
	ea-addressbook.c
	ea-addressbook.h
)

set(HEADERS
	eab-config.h
)

add_library(eabwidgets SHARED
	${SOURCES}
	${HEADERS}
)

add_dependencies(eabwidgets
	${DEPENDENCIES}
)

target_compile_definitions(eabwidgets PRIVATE
	-DG_LOG_DOMAIN=\"eabwidgets\"
	-DEVOLUTION_ETSPECDIR=\"${etspecdir}\"
	-DEVOLUTION_IMAGESDIR=\"${imagesdir}\"
	-DEVOLUTION_PRIVDATADIR=\"${privdatadir}\"
)

target_compile_options(eabwidgets PUBLIC
	${CHAMPLAIN_CFLAGS}
	${EVOLUTION_DATA_SERVER_CFLAGS}
	${GEO_CFLAGS}
	${GNOME_PLATFORM_CFLAGS}
)

target_include_directories(eabwidgets PUBLIC
	${CMAKE_BINARY_DIR}
	${CMAKE_BINARY_DIR}/src
	${CMAKE_SOURCE_DIR}/src
	${CMAKE_CURRENT_BINARY_DIR}
	${CMAKE_SOURCE_DIR}/src/addressbook
	${CMAKE_SOURCE_DIR}/src/addressbook/util
	${CHAMPLAIN_INCLUDE_DIRS}
	${EVOLUTION_DATA_SERVER_INCLUDE_DIRS}
	${GEO_INCLUDE_DIRS}
	${GNOME_PLATFORM_INCLUDE_DIRS}
)

target_link_libraries(eabwidgets
	${DEPENDENCIES}
	${CHAMPLAIN_LDFLAGS}
	${EVOLUTION_DATA_SERVER_LDFLAGS}
	${GEO_LDFLAGS}
	${GNOME_PLATFORM_LDFLAGS}
)

install(TARGETS eabwidgets
	DESTINATION ${privsolibdir}
)

install(FILES ${HEADERS}
	DESTINATION ${privincludedir}/addressbook/gui/widgets
)

=== src/modules/webkit-editor/web-extension/CMakeLists.txt ===
set(extra_deps)
set(sources
	e-composer-dom-functions.c
	e-composer-dom-functions.h
	e-dialogs-dom-functions.c
	e-dialogs-dom-functions.h
	e-editor-dom-functions.c
	e-editor-dom-functions.h
	e-editor-page.c
	e-editor-page.h
	e-editor-undo-redo-manager.c
	e-editor-undo-redo-manager.h
	e-editor-web-extension.c
	e-editor-web-extension.h
	e-editor-web-extension-main.c
	e-editor-web-extension-names.h
)
set(extra_defines)
set(extra_cflags)
set(extra_incdirs)
set(extra_ldflags)

add_webextension_editor_module(module-webkit-editor-webextension
	sources
	extra_deps
	extra_defines
	extra_cflags
	extra_incdirs
	extra_ldflags
)

=== debian/changelog ===
evolution (3.28.5-0ubuntu0.18.04.2) bionic; urgency=medium

  * debian/patches/ubuntu_gettext_domain.patch:
    - backport an upstream commit to fix a regression with newer webkitgtk
      which leads html email to be rendered in white (lp: #1841646)

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 24 Mar 2020 16:27:49 +0100

evolution (3.28.5-0ubuntu0.18.04.1) bionic; urgency=medium

  * New upstream release (LP: #1784522)
  * Bump e-d-s dependencies and build-dependencies to 3.28.5
  * Drop patches applied in new release:
    - 0004-EMailDisplay-Do-not-call-reload-when-nothing-is-load.patch
    - 0005-Bug-793583-webkit_web_view_load_html-garbages-linked.patch
    - 0006-Revert-message-composer-part-of-the-previous-commit.patch

 -- Jeremy Bicha <jbicha@debian.org>  Tue, 31 Jul 2018 10:34:24 -0400

=== debian/control ===
# This file is autogenerated. DO NOT EDIT!
#
# Modifications should be made to debian/control.in instead.
# This file is regenerated automatically in the clean target.
Source: evolution
Section: gnome
Priority: optional
Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Jeremy Bicha <jbicha@debian.org>
Standards-Version: 4.1.4
X-Ubuntu-Use-Langpack: yes
Homepage: https://wiki.gnome.org/Apps/Evolution
Build-Depends: cmake,
               debhelper (>= 10),
               dpkg-dev (>= 1.16.1),
               libchamplain-gtk-0.12-dev,
               libglib2.0-dev (>= 2.46.0),
               libgtk-3-dev (>= 3.10.0),
               libgail-3-dev (>= 3.0.2),
               libgdk-pixbuf2.0-dev (>= 2.24.0),
               libcamel1.2-dev (>= 3.28.5),
               libebook1.2-dev (>= 3.28.5),
               libecal1.2-dev (>= 3.28.5),
               libedataserver1.2-dev (>= 3.28.5),
               libedataserverui1.2-dev (>= 3.28.5),
               libebackend1.2-dev (>= 3.28.5),
               evolution-data-server-dev (>= 3.28.5),
               evolution-data-server-dev (<< 3.29),
               libwebkit2gtk-4.0-dev (>= 2.13.90),
               libgcr-3-dev (>= 3.4),
               libgtkspell3-3-dev,
               libgeocode-glib-dev (>= 3.10),
               libgnome-desktop-3-dev (>= 3.8.0),
               libsoup2.4-dev (>= 2.42),
               libxml2-dev (>= 2.7.3),
               libenchant-dev (>= 1.1.7),
               shared-mime-info (>= 0.22),
               libnotify-dev (>= 0.7),
               libgweather-3-dev (>= 3.10.0),
               libcanberra-gtk3-dev (>= 0.25),
               intltool (>= 0.40.0),
               libtool (>= 2.2),
               pkg-config (>= 0.16.0),
               gtk-doc-tools (>= 1.14),
               libcairo2-dev (>= 1.10),
               libatk1.0-dev,
               x11proto-core-dev,
               libldap2-dev,
               libnspr4-dev,
               libnss3-dev,
               psmisc,
               libytnef0-dev,
               libical-dev (>= 2.0.0),
               libpst-dev (>= 0.6.54),
               libsm-dev,
               libice-dev,
               yelp-tools,
               gnome-pkg-tools,
               gnome-common,
               gsettings-desktop-schemas-dev (>= 2.91.92),
               libclutter-gtk-1.0-dev (>= 0.90),
               highlight,
               libcryptui-dev,
               libgnome-autoar-0-dev (>= 0.1.1),
               libgnome-autoar-gtk-0-dev (>= 0.1.1),
Vcs-Git: https://salsa.debian.org/gnome-team/evolution.git
Vcs-Browser: https://salsa.debian.org/gnome-team/evolution

Package: evolution
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         evolution-common (= ${source:Version}),
         evolution-data-server (>= 3.28.5),
         evolution-data-server (<< 3.29),
         dbus,
         psmisc
Recommends: evolution-plugins,
            evolution-plugin-bogofilter | evolution-plugin-spamassassin,
            evolution-plugin-pstimport,
            yelp
Suggests: evolution-ews,
          evolution-plugins-experimental,
          gnupg,
          network-manager
Provides: mail-reader,
          imap-client
Breaks: evolution-common (<< 3.20.4-1~)
Replaces: evolution-common (<< 3.20.4-1~)
Description: groupware suite with mail client and organizer
 Evolution is a groupware suite which integrates mail, calendar,
 address book, to-do list and memo tools.
 .
 Additional features include integration with Exchange
 servers, newsgroup client, LDAP support and web calendars
 .
 The following plugins belonging to the "base" set are included.
  - calendar-file
  - calendar-http
  - itip-formatter
  - default-source
  - addressbook-file
  - mark-all-read
  - publish-calendar
  - caldav
  - imap-features
  - google-account-setup
  - webdav-account-setup
  - calendar-weather
  - sa-junk-plugin
  - bogo-junk-plugin

Package: libevolution
Section: libs
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
         evolution-common (= ${source:Version}),
Description: evolution libraries
 This package contains libraries used by Evolution.

Package: evolution-common
Architecture: all
Depends: ${misc:Depends}
Recommends: evolution
Description: architecture independent files for Evolution
 Evolution is a groupware suite which integrates mail, calendar,
 address book, to-do list and memo tools.
 .
 This package contains the architecture independent files needed
 by the evolution package.

Package: evolution-dev
Section: devel
Architecture: any
Depends: libevolution (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
         libenchant-dev (>= 1.1.7),
# evolution-plugin
         libcamel1.2-dev,
# evolution-shell
         libebackend1.2-dev,
         libgtk-3-dev (>= 3.10),
         libgnome-desktop-3-dev,
         libwebkit2gtk-4.0-dev (>= 2.13.90),
         libedataserver1.2-dev,
         libedataserverui1.2-dev,
Description: development library files for Evolution
 Evolution is a groupware suite which integrates mail, calendar,
 address book, to-do list and memo tools.
 .
 This package contains header and static library files
 for developing Evolution components.

Package: evolution-plugins
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         evolution (= ${binary:Version})
Recommends: notification-daemon
Description: standard plugins for Evolution
 Evolution is a groupware suite which integrates mail, calendar,
 address book, to-do list and memo tools.
 .
 This package includes plugins for evolution. The plugins belong
 to the set of "standard" plugins, which are useful, but not
 necessary for a functioning application.
 .
 The following standard plugins are included.
  - attachment-reminder
  - bbdb
  - dbx-import
  - email-custom-header
  - face
  - mailing-list-actions
  - mail-notification
  - mail-to-task
  - prefer-plain
  - save-calendar
  - templates

Package: evolution-plugins-experimental
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         evolution (= ${binary:Version})
Description: experimental plugins for Evolution
 Evolution is a groupware suite which integrates mail, calendar,
 address book, to-do list and memo tools.
 .
 This package includes plugins for Evolution. The plugins belong
 to the set of "experimental" plugins, which are unsupported, have
 undergone little testing, and might cause problems to the rest of
 Evolution. Use with care.
 .
 The following plugins are included.
  - external-editor
  - contacts-map

Package: evolution-plugin-bogofilter
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         evolution (= ${binary:Version}),
         bogofilter
Breaks: evolution-common (<< 3.25.91),
        libevolution (<< 3.25.91)
Replaces: evolution-common (<< 3.25.91),
          libevolution (<< 3.25.91)
Description: standard plugins for Evolution (bogofilter)
 Evolution is a groupware suite which integrates mail, calendar,
 address book, to-do list and memo tools.
 .
 This package includes the bogofilter spam filter module for Evolution.

Package: evolution-plugin-pstimport
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         evolution (= ${binary:Version}),
Breaks: evolution-common (<< 3.25.91),
        evolution-plugins (<< 3.25.91)
Replaces: evolution-common (<< 3.25.91),
          libevolution (<< 3.25.91)
Description: standard plugins for Evolution (pstimport)
 Evolution is a groupware suite which integrates mail, calendar,
 address book, to-do list and memo tools.
 .
 This package includes a plugin for Evolution that enables importing
 Microsoft Outlook messages from a PST file.

Package: evolution-plugin-spamassassin
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         evolution (= ${binary:Version}),
         spamassassin,
Breaks: evolution-common (<< 3.25.91),
        libevolution (<< 3.25.91)
Replaces: evolution-common (<< 3.25.91),
          libevolution (<< 3.25.91)
Description: standard plugins for Evolution (spamassassin)
 Evolution is a groupware suite which integrates mail, calendar,
 address book, to-do list and memo tools.
 .
 This package includes the spamassasin spam filter module for Evolution.

#Package: evolution-tests
#Architecture: any
#Depends: ${shlibs:Depends},
#         ${misc:Depends},
#Description: Installed tests for Evolution
# Evolution is a groupware suite which integrates mail, calendar,
# address book, to-do list and memo tools.
# .
# This package contains test programs, designed to be run as part of a
# regression testsuite.

=== debian/rules ===
#!/usr/bin/make -f
include /usr/share/gnome-pkg-tools/1/rules/gnome-get-source.mk
include /usr/share/gnome-pkg-tools/1/rules/gnome-version.mk
include /usr/share/dpkg/default.mk

export DEB_LDFLAGS_MAINT_APPEND = -Wl,-z,defs -Wl,--as-needed -Wl,-O1
# see https://bugzilla.gnome.org/show_bug.cgi?id=594473 for details
export DEB_LDFLAGS_MAINT_STRIP = -Wl,-Bsymbolic-functions
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --with gnome

DEB_REVISION := $(shell echo $(DEB_VERSION) | awk -F- '{ print $$NF }')

override_dh_auto_configure:
	dh_auto_configure -- \
		-DLIBEXEC_INSTALL_DIR=/usr/lib \
		-DSYSCONF_INSTALL_DIR=/etc \
		-DWITH_OPENLDAP=ON \
		-DENABLE_PLUGINS=all \
		-DENABLE_PST_IMPORT=ON \
		-DENABLE_CONTACT_MAPS=ON \
		-DENABLE_AUTOAR=ON \
		-DENABLE_INSTALLED_TESTS=ON \
		-DWITH_HELP=ON \
		-DENABLE_GTK_DOC=ON \
		-DVERSION_SUBSTRING=-$(DEB_REVISION)

# installed-tests are old and require python3-behave
# which is not in Debian yet
override_dh_install:
	mkdir -p debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/pkgconfig
	mv debian/tmp/usr/lib/pkgconfig/*.pc \
		debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/pkgconfig
	dh_install --fail-missing -X.la -Xlibevolutiontestsettings.so \
		-Xusr/lib/evolution/installed-tests -Xusr/share/installed-tests
ifneq ($(filter libevolution,$(shell dh_listpackages)),)
	find debian/libevolution/ -name 'module-bogofilter.so' -delete
	find debian/libevolution/ -name 'module-spamassassin.so' -delete
endif

override_dh_makeshlibs:
	dh_makeshlibs -V'libevolution (>= $(DEB_VERSION_UPSTREAM)), libevolution (<< $(DEB_GNOME_NEXTVERSION))' -n

override_dh_strip:
	dh_strip --dbgsym-migration='evolution-dbg (<< 3.18.5.2-1~)'

## evolution 3.30.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,7 +4,7 @@
 cmake_policy(VERSION 3.1)
 
 project(evolution
-	VERSION 3.28.5
+	VERSION 3.30.1
 	LANGUAGES C)
 set(PROJECT_BUGREPORT "https://gitlab.gnome.org/GNOME/evolution/issues/")
 set(PROJECT_URL "http://wiki.gnome.org/Apps/Evolution/")
@@ -12,7 +12,7 @@
 # Base Version: This is for API/version tracking for things like
 # D-Bus server files. This should always be the major/minor of
 # the stable version or stable version to be.
-set(BASE_VERSION 3.28)
+set(BASE_VERSION 3.30)
 
 # Used for pkg-config files
 set(INTERFACE_VERSION 3.0)
@@ -91,6 +91,7 @@
 set(gweather_minimum_version 3.10)
 set(libcanberra_gtk_minimum_version 0.25)
 set(libnotify_minimum_version 0.7)
+set(libunity_minimum_version 7.1.4)
 
 # Load modules from the source tree
 set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules)

=== debian/changelog ===
evolution (3.30.1-1build1) cosmic; urgency=medium

  * No change rebuild for launchpad translations import

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 08 Oct 2018 13:01:16 +0200

evolution (3.30.1-1) unstable; urgency=medium

  * New upstream release
  * Bump e-d-s dependencies and build-dependencies to 3.30.1

 -- Jeremy Bicha <jbicha@debian.org>  Mon, 24 Sep 2018 11:28:54 -0400

evolution (3.30.0-1) unstable; urgency=medium

  * New upstream release
  * Bump e-d-s dependencies and build-dependencies to 3.30.0

 -- Jeremy Bicha <jbicha@debian.org>  Mon, 03 Sep 2018 17:53:48 -0400

evolution (3.29.92-1) unstable; urgency=medium

  * New upstream release
  * Bump e-d-s dependencies and build-dependencies to 3.29.92
  * Release to unstable

 -- Jeremy Bicha <jbicha@debian.org>  Mon, 27 Aug 2018 07:43:05 -0400

evolution (3.29.90-1) experimental; urgency=medium

  * New upstream development release
  * Bump e-d-s dependencies and build-dependencies to 3.29.90
  * Update .install files since evolution-alarm-notify has been moved
    to evolution-data-server

 -- Jeremy Bicha <jbicha@debian.org>  Sat, 11 Aug 2018 19:26:04 -0400

evolution (3.28.5-1) unstable; urgency=medium

  * New upstream release (LP: #1784522)
  * Bump e-d-s dependencies and build-dependencies to 3.28.5

 -- Jeremy Bicha <jbicha@debian.org>  Mon, 30 Jul 2018 22:27:47 -0400

evolution (3.28.2-1) unstable; urgency=medium

  * New upstream release (LP: #1769640)
  * Bump e-d-s dependencies and build-dependencies to 3.28.2
  * Bump debhelper compat to 11
  * Drop patches applied in new release:
    - 0004-EMailDisplay-Do-not-call-reload-when-nothing-is-load.patch
    - 0005-Bug-793583-webkit_web_view_load_html-garbages-linked.patch
    - 0006-Revert-message-composer-part-of-the-previous-commit.patch

 -- Jeremy Bicha <jbicha@debian.org>  Mon, 07 May 2018 09:21:05 -0400

=== debian/control ===
--- 
+++ 
@@ -11,21 +11,21 @@
 X-Ubuntu-Use-Langpack: yes
 Homepage: https://wiki.gnome.org/Apps/Evolution
 Build-Depends: cmake,
-               debhelper (>= 10),
+               debhelper (>= 11),
                dpkg-dev (>= 1.16.1),
                libchamplain-gtk-0.12-dev,
                libglib2.0-dev (>= 2.46.0),
                libgtk-3-dev (>= 3.10.0),
                libgail-3-dev (>= 3.0.2),
                libgdk-pixbuf2.0-dev (>= 2.24.0),
-               libcamel1.2-dev (>= 3.28.5),
-               libebook1.2-dev (>= 3.28.5),
-               libecal1.2-dev (>= 3.28.5),
-               libedataserver1.2-dev (>= 3.28.5),
-               libedataserverui1.2-dev (>= 3.28.5),
-               libebackend1.2-dev (>= 3.28.5),
-               evolution-data-server-dev (>= 3.28.5),
-               evolution-data-server-dev (<< 3.29),
+               libcamel1.2-dev (>= 3.30.1),
+               libebook1.2-dev (>= 3.30.1),
+               libecal1.2-dev (>= 3.30.1),
+               libedataserver1.2-dev (>= 3.30.1),
+               libedataserverui1.2-dev (>= 3.30.1),
+               libebackend1.2-dev (>= 3.30.1),
+               evolution-data-server-dev (>= 3.30.1),
+               evolution-data-server-dev (<< 3.31),
                libwebkit2gtk-4.0-dev (>= 2.13.90),
                libgcr-3-dev (>= 3.4),
                libgtkspell3-3-dev,
@@ -71,8 +71,8 @@
 Depends: ${shlibs:Depends},
          ${misc:Depends},
          evolution-common (= ${source:Version}),
-         evolution-data-server (>= 3.28.5),
-         evolution-data-server (<< 3.29),
+         evolution-data-server (>= 3.30.1),
+         evolution-data-server (<< 3.31),
          dbus,
          psmisc
 Recommends: evolution-plugins,

## evolution 3.30.5

=== debian/changelog ===
evolution (3.30.5-1.1) unstable; urgency=high

  * Non-maintainer upload.
  * CVE-2018-15587: backport patch to mitigate possible signature/encryption:
    Show security bar above message headers. (Closes: #924616)

 -- Jonas Meurer <jonas@freesources.org>  Wed, 05 Jun 2019 14:31:36 +0200

evolution (3.30.5-1) unstable; urgency=medium

  * New upstream release
  * Bump e-d-s dependencies and build-dependencies to 3.30.5

 -- Jeremy Bicha <jbicha@debian.org>  Mon, 04 Feb 2019 08:27:22 -0500

evolution (3.30.4-1) unstable; urgency=medium

  * New upstream release
  * Bump e-d-s dependencies and build-dependencies to 3.30.4
  * Build-Depends on itstool instead of yelp-tools
  * Drop obsolete Build-Depends on gnome-common
  * Restore -Wl,-O1 to our LDFLAGS
  * Bump Standards-Version to 4.3.0

 -- Jeremy Bicha <jbicha@debian.org>  Mon, 07 Jan 2019 08:39:34 -0500

evolution (3.30.3-1) unstable; urgency=medium

  * New upstream release
  * Bump e-d-s dependencies and build-dependencies to 3.30.3
  * Simplify dh_install rules a bit
  * Bump Standards-Version to 4.2.1

 -- Jeremy Bicha <jbicha@debian.org>  Mon, 10 Dec 2018 11:58:39 -0500

evolution (3.30.2-1) unstable; urgency=medium

  * New upstream release
  * Stop forcing -O1
  * manpage: Remove obsolete --express option (Closes: #912845)

 -- Jeremy Bicha <jbicha@debian.org>  Mon, 12 Nov 2018 08:18:54 -0500

=== debian/control ===
--- 
+++ 
@@ -7,9 +7,6 @@
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Jeremy Bicha <jbicha@debian.org>
-Standards-Version: 4.1.4
-X-Ubuntu-Use-Langpack: yes
-Homepage: https://wiki.gnome.org/Apps/Evolution
 Build-Depends: cmake,
                debhelper (>= 11),
                dpkg-dev (>= 1.16.1),
@@ -18,13 +15,13 @@
                libgtk-3-dev (>= 3.10.0),
                libgail-3-dev (>= 3.0.2),
                libgdk-pixbuf2.0-dev (>= 2.24.0),
-               libcamel1.2-dev (>= 3.30.1),
-               libebook1.2-dev (>= 3.30.1),
-               libecal1.2-dev (>= 3.30.1),
-               libedataserver1.2-dev (>= 3.30.1),
-               libedataserverui1.2-dev (>= 3.30.1),
-               libebackend1.2-dev (>= 3.30.1),
-               evolution-data-server-dev (>= 3.30.1),
+               libcamel1.2-dev (>= 3.30.5),
+               libebook1.2-dev (>= 3.30.5),
+               libecal1.2-dev (>= 3.30.5),
+               libedataserver1.2-dev (>= 3.30.5),
+               libedataserverui1.2-dev (>= 3.30.5),
+               libebackend1.2-dev (>= 3.30.5),
+               evolution-data-server-dev (>= 3.30.5),
                evolution-data-server-dev (<< 3.31),
                libwebkit2gtk-4.0-dev (>= 2.13.90),
                libgcr-3-dev (>= 3.4),
@@ -39,6 +36,7 @@
                libgweather-3-dev (>= 3.10.0),
                libcanberra-gtk3-dev (>= 0.25),
                intltool (>= 0.40.0),
+               itstool,
                libtool (>= 2.2),
                pkg-config (>= 0.16.0),
                gtk-doc-tools (>= 1.14),
@@ -54,24 +52,25 @@
                libpst-dev (>= 0.6.54),
                libsm-dev,
                libice-dev,
-               yelp-tools,
                gnome-pkg-tools,
-               gnome-common,
                gsettings-desktop-schemas-dev (>= 2.91.92),
                libclutter-gtk-1.0-dev (>= 0.90),
                highlight,
                libcryptui-dev,
                libgnome-autoar-0-dev (>= 0.1.1),
                libgnome-autoar-gtk-0-dev (>= 0.1.1),
+Standards-Version: 4.3.0
+X-Ubuntu-Use-Langpack: yes
 Vcs-Git: https://salsa.debian.org/gnome-team/evolution.git
 Vcs-Browser: https://salsa.debian.org/gnome-team/evolution
+Homepage: https://wiki.gnome.org/Apps/Evolution
 
 Package: evolution
 Architecture: any
 Depends: ${shlibs:Depends},
          ${misc:Depends},
          evolution-common (= ${source:Version}),
-         evolution-data-server (>= 3.30.1),
+         evolution-data-server (>= 3.30.5),
          evolution-data-server (<< 3.31),
          dbus,
          psmisc

=== debian/rules ===
#!/usr/bin/make -f
include /usr/share/dpkg/pkg-info.mk
include /usr/share/gnome-pkg-tools/1/rules/gnome-version.mk

export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,-z,defs -Wl,--as-needed
# see https://bugzilla.gnome.org/show_bug.cgi?id=594473 for details
export DEB_LDFLAGS_MAINT_STRIP = -Wl,-Bsymbolic-functions
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --with gnome

DEB_REVISION := $(shell echo $(DEB_VERSION) | awk -F- '{ print $$NF }')

# installed-tests are old and require python3-behave
# which is not in Debian yet
override_dh_auto_configure:
	dh_auto_configure -- \
		-DLIBEXEC_INSTALL_DIR=/usr/lib \
		-DSYSCONF_INSTALL_DIR=/etc \
		-DWITH_OPENLDAP=ON \
		-DENABLE_PLUGINS=all \
		-DENABLE_PST_IMPORT=ON \
		-DENABLE_CONTACT_MAPS=ON \
		-DENABLE_AUTOAR=ON \
		-DENABLE_INSTALLED_TESTS=OFF \
		-DWITH_HELP=ON \
		-DENABLE_GTK_DOC=ON \
		-DVERSION_SUBSTRING=-$(DEB_REVISION)

override_dh_install:
	find debian/tmp -name '*.la' -print -delete
	mkdir -p debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/pkgconfig
	mv debian/tmp/usr/lib/pkgconfig/*.pc \
		debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/pkgconfig
	dh_install
ifneq ($(filter libevolution,$(shell dh_listpackages)),)
	find debian/libevolution/ -name 'module-bogofilter.so' -delete
	find debian/libevolution/ -name 'module-spamassassin.so' -delete
endif

override_dh_missing:
	dh_missing --fail-missing

override_dh_makeshlibs:
	dh_makeshlibs -V'libevolution (>= $(DEB_VERSION_UPSTREAM)), libevolution (<< $(DEB_GNOME_NEXTVERSION))' -n

override_dh_strip:
	dh_strip --dbgsym-migration='evolution-dbg (<< 3.18.5.2-1~)'
